# skbio.sequence.GeneticCode.reading_frames

`GeneticCode.``reading_frames`

  Six possible reading frames.

  State: Stable as of 0.4.0.

  Reading frames are ordered:

  - 1 (forward)
  - 2 (forward)
  - 3 (forward)
  - -1 (reverse)
  - -2 (reverse)
  - -3 (reverse)

  This property can be passed into `GeneticCode.translate(reading_frame)`.

  Returns:

  list (int)

  > Six possible reading frames.